{ pkgs, lib, ... }:

let
  mod = "Mod4";
in {
  xsession.windowManager.i3 = {
    enable = true;
    config = {
      modifier = mod;
      gaps.inner = 12;
      startup = [
        {
          command = "systemctl --user restart polybar";
          always = true;
          notification = false;
        }
      ];
      keybindings = lib.mkOptionDefault {
        "${mod}+Return" = "exec kitty";
        "Mod1+Q" = "exec /etc/profiles/per-user/elnu/bin/rofi-power";
      };
      keycodebindings = {
        "133" = "--release exec rofi -show run -theme";
      };
      window.commands = [
        {
          command = "border pixel 0";
          criteria = { class = "^.*"; };
        }
      ];
      bars = [];
    };
  };
}
